Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 741400 - dev-libs/libbpf: ebuild cleanup
Summary: dev-libs/libbpf: ebuild cleanup
Status: RESOLVED OBSOLETE
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Patrick McLean
URL:
Whiteboard:
Keywords: PATCH, PullRequest
Depends on:
Blocks:
 
Reported: 2020-09-09 11:42 UTC by Jakov Smolić
Modified: 2021-10-19 19:57 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Remove static-libs USE flag, simplify ebuild (libbpf-cleanup.patch,7.08 KB, patch)
2020-09-09 11:42 UTC, Jakov Smolić
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jakov Smolić gentoo-dev 2020-09-09 11:42:03 UTC
Created attachment 659254 [details, diff]
Remove static-libs USE flag, simplify ebuild

Please review the attached patch for libbpf ebuild improvements (based on the work by floppym in https://github.com/gentoo/gentoo/pull/13239).

I have prepared a pull request at https://github.com/gentoo/gentoo/pull/17408.
Let me know if there is anything wrong with the patch or if it can be improved in any way.
Thanks.
Comment 1 Sam James archtester gentoo-dev Security 2021-04-28 23:59:44 UTC
Still relevant given PR is closed?
Comment 2 Jakov Smolić gentoo-dev 2021-04-29 09:18:14 UTC
(In reply to Sam James from comment #1)
> Still relevant given PR is closed?

Yes, I closed the PR since there was no response, but I can do a new one
Comment 3 Jakov Smolić gentoo-dev 2021-10-19 19:57:26 UTC
Changes were incorporated in the latest version bump